# std::experimental::any::swap

From cppreference.com
< cpp‎ | experimental‎ | any

void swap(any& other); |  | (library fundamentals TS)

Swaps the content of two `any` objects.

### Parameters

other | - | object to swap with

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/any/swap&oldid=91351"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template